require( "scripts/common/simple_object.lua" );

local ObjectTable = GetObjectTable("bathroomvase");

bathroomvase = simple_object:new{
	current_action_character="toddler",
	anchor_x=10,
	anchor_y=40,
	offset_x=-2,
	offset_y=3,
	texture="anim/objects/vasebathroom/vasebathroom",
	animation_script="anim/objects/default_animation_script.lua",
	glow_texture="anim/objects/vasebathroom/vasebathroom_glow",
	glow_animation_script="anim/objects/default_glow_animation_script.lua",
	indicator_ui_x=0,
	indicator_ui_y=-50,
	dad_ui_x=-8,
	dad_ui_y=-34,
	mom_ui_x=-8,
	mom_ui_y=-34,
	messing_state_time = 0,
	flipped_animation = true,

	messing_state_time = ObjectTable["messing_time"],
	cleaning_state_time = ObjectTable["cleaning_time"],
	stress_inc = ObjectTable["stress_inc"],
}

function bathroomvase:new(o)
	o = o or {}   -- create object if user does not provide one
	setmetatable(o, self)
	self.__index = self
	return o
end
